
QGIS Application - Bug report #36

Update library sonames before release

2006-03-29 07:07 PM - Steve Halasz -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10095

Description

Please update library sonames according to the libtool versioning scheme as described at 

http://www.gnu.org/software/libtool/manual.html#Updating-version-info

No need to worry about maintaining ABI stability

for the present though. With multiple libraries, how will the soname

be handled? Will they all share a soname, or each have their own? If

they share a soname I can stuff them all in the libqgis debian package

together I think. But any ABI change will force rebuilds for all

depending software(of which there is none in debian yet). With

separate sonames I need to build libqgis-core0, libqgis-core0-dev, libqgis-gui0, etc.

packages, but then software that depends on a specific library need

not be rebuilt if the ABI changes for one of the other libraries.

Associated revisions

Revision 8cc505f7 - 2008-04-14 11:30 PM - Jürgen Fischer

debian packaging update

- update for next release

- removed some temporary files in debian/

- add version number to shared libraries names and split them into

   libqgis-core0.9, libqgis-gui0.9 and libqgisgrass0.9 (fixes #36)

- split python binding and plugins into separate package python-qgis

- merge some changes from the DebianGIS repository

- build in debian/build

- updated menu and icon

- use qgis man pages (qgis_help added)

- build on Debian unstable is lintian clean (may fix #1028)

- build also tested on OSX (Tim Sutton), MinGW (Marco Pasetti) and with MSVC

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8351 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 7f56f552 - 2008-04-14 11:30 PM - Jürgen Fischer

debian packaging update

- update for next release

- removed some temporary files in debian/

- add version number to shared libraries names and split them into
   libqgis-core0.9, libqgis-gui0.9 and libqgisgrass0.9 (fixes #36)

- split python binding and plugins into separate package python-qgis

- merge some changes from the DebianGIS repository

- build in debian/build

- updated menu and icon

- use qgis man pages (qgis_help added)

- build on Debian unstable is lintian clean (may fix #1028)

- build also tested on OSX (Tim Sutton), MinGW (Marco Pasetti) and with MSVC

git-svn-id: http://svn.osgeo.org/qgis/trunk@8351 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2006-07-09 07:48 AM - shalasz -

I'm going to create a package for each lib, so the sonames should increase independently.

#2 - 2006-07-09 07:57 AM - shalasz -

Soo... there's nothing to be done. libqgis is history and these libs are all new for 0.8. Keeping this task around as a reminder for 0.9.

#3 - 2008-04-14 02:30 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

#4 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
